Loading...
Searching...
No Matches
Opm::PROPSSection Class Reference
Inheritance diagram for Opm::PROPSSection:

## Public Member Functions

| PROPSSection (const Deck &deck)
Public Member Functions inherited from Opm::DeckSection
| DeckSection (const Deck &deck, const std::string &startKeyword)
const std::string & | name () const
const UnitSystem & | unitSystem () const
const DeckKeyword & | getKeyword (const std::string &keyword, std::size_t index) const
const DeckKeyword & | getKeyword (const std::string &keyword) const
std::vector< const DeckKeyword * > | getKeywordList (const std::string &keyword) const
template<class Keyword>
std::vector< const DeckKeyword * > | getKeywordList () const
bool | hasKeyword (const std::string &keyword) const
template<class Keyword>
bool | hasKeyword () const
Public Member Functions inherited from Opm::DeckView
Iterator | begin () const
Iterator | end () const
const DeckKeyword & | operator[] (std::size_t index) const
DeckView | operator[] (const std::string &keyword) const
std::vector< std::size_t > | index (const std::string &keyword) const
std::size_t | count (const std::string &keyword) const
const DeckKeyword & | front () const
const DeckKeyword & | back () const
void | add_keyword (const DeckKeyword &kw)
bool | has_keyword (const std::string &kw) const
bool | empty () const
std::size_t | size () const
template<class Keyword>
bool | has_keyword () const
template<class Keyword>
DeckView | get () const

## Additional Inherited Members

Public Types inherited from Opm::DeckView
typedef std::vector< std::reference_wrapper< const DeckKeyword > > | storage_type
Static Public Member Functions inherited from Opm::DeckSection
static bool | hasRUNSPEC (const Deck &)
static bool | hasGRID (const Deck &)
static bool | hasEDIT (const Deck &)
static bool | hasPROPS (const Deck &)
static bool | hasREGIONS (const Deck &)
static bool | hasSOLUTION (const Deck &)
static bool | hasSUMMARY (const Deck &)
static bool | hasSCHEDULE (const Deck &)
static bool | checkSectionTopology (const Deck &deck, const Parser &, ErrorGuard &errorGuard, bool ensureKeywordSectionAffiliation=false)

The documentation for this class was generated from the following file:

- opm/input/eclipse/Deck/DeckSection.hpp